unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RpDefine, RpRave, StdCtrls,



  RVClass, RVProj, RVCsStd, RpBase, RpFiler, RpSystem, RpRender,
  RpRenderCanvas, RpRenderPrinter, RpRenderPreview, RpRenderHTML, RpCon,
  RpRenderText, RpRenderRTF, RpRenderPDF;

type
  TForm1 = class(TForm)
    RvProject1: TRvProject;
    RvNDRWriter1: TRvNDRWriter;
    GroupBox1: TGroupBox;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    ComboBox1: TComboBox;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    RvSystem1: TRvSystem;
    Button9: TButton;
    GroupBox2: TGroupBox;
    Button1: TButton;
    Button2: TButton;
    Button10: TButton;
    GroupBox3: TGroupBox;
    Button11: TButton;
    RvRenderHTML1: TRvRenderHTML;
    Button12: TButton;
    Button13: TButton;
    Button14: TButton;
    RvRenderPDF1: TRvRenderPDF;
    RvRenderRTF1: TRvRenderRTF;
    RvRenderText1: TRvRenderText;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure Button14Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  MyPage: TRavePage;
  MyText: TRaveText;
begin
  RvProject1.Open;
  With RvProject1.ProjMan do begin
    MyPage := FindRaveComponent('Report1.Page1',nil) as TRavePage;
    MyText := FindRaveComponent('Text1',MyPage) as TRaveText;
    MyText.Text := 'Some Text';
    MyText.Color := clGreen;
    MyText.Font.Size := 30;
    MyText.Font.Style := [fsBold];
  end;
  RvProject1.ExecuteReport('Report1');
  RvProject1.Close;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  RavePage  : TRavePage;
  RaveReport:TRaveReport;
  RvText   : TRaveText;
begin
  RvProject1.Open;
  With RvProject1.ProjMan do
  begin
    RaveReport := TRaveReport(FindRaveComponent('Report1',nil));
    RavePage   := TRavePage(FindRaveComponent('Page1',RaveReport));
    RvText := RavePage.CreateChild(TRaveText) as TRaveText;
    RvText.Name := 'Text2';
    RvText.Text := 'Ce texte  t cr dynamiquement !';
  end;
  RvProject1.execute;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  RvNDRWriter1.SelectPrinter('Minolta PageWorks/Pro 6ex');
  RvProject1.execute;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  RvNDRWriter1.SelectPrinter('Hewlett-Packard HP-GL/2 Plotter');
  RvProject1.execute;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  RvNDRWriter1.SelectPrinter('AGFA-AccuSet v52.3');
  RvProject1.execute;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
 ComboBox1.Items := RvNDRWriter1.Printers;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  RvNDRWriter1.ShowPrinterSetupDialog
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  RvNDRWriter1.ShowPrintDialog
end;
procedure TForm1.Button9Click(Sender: TObject);
begin
  RvSystem1.TitlePreview := 'Mon titre !';
  RvProject1.Execute;
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  RvSystem1.SystemSetups :=  RvSystem1.SystemSetups - [ssAllowSetup];
  RvProject1.Execute;
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
  RvProject1.SelectReport('Report1', false);
  RvProject1.Execute; // ???? ne foncitonne pas execute :-/ recherche non termine
  RvRenderHTML1.OutputFileName := 'test.html';
  RvRenderHTML1.Render(RvSystem1.Stream);
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
  RvSystem1.SystemOptions :=  RvSystem1.SystemOptions - [soPreviewModal];
  RvProject1.Execute;
end;

procedure TForm1.Button13Click(Sender: TObject);
begin
  RvSystem1.SystemPreview.FormState := wsMaximized;
  RvProject1.Execute;
end;

procedure TForm1.Button14Click(Sender: TObject);
var i: cardinal;
begin
  i := 10;
  RvSystem1.SystemPrinter.MarginBottom := i;
  RvSystem1.SystemPrinter.MarginLeft   := i;
  RvSystem1.SystemPrinter.MarginRight  := i;
  RvSystem1.SystemPrinter.MarginTop    := i;
end;
end.
